"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryCustomFieldSuggestions = exports.listCustomFieldSuggestions = void 0;
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const rest_modules_2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressMembersCustomfieldsSuggestionsCustomFieldSuggestionsUrl(opts) {
    const domainToMappings = {
        'api._api_base_domain_': [
            {
                srcPath: '/members-custom-fields-suggestions-api',
                destPath: '',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/members/v1/custom-field-suggestions',
                destPath: '/v1/custom-field-suggestions',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/_api/members/v1/custom-field-suggestions',
                destPath: '/v1/custom-field-suggestions',
            },
        ],
        'editor.wixapps.net': [
            {
                srcPath: '/_api/members/v1/custom-field-suggestions',
                destPath: '/v1/custom-field-suggestions',
            },
        ],
    };
    return (0, rest_modules_2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/auto_sdk_members_custom-field-suggestion';
/** Retrieves a list of suggestions for both custom fields and predefined fields by the Wix Members Area. */
function listCustomFieldSuggestions(payload) {
    function __listCustomFieldSuggestions({ host }) {
        const metadata = {
            entityFqdn: 'wix.members.v1.custom_field_suggestion',
            method: 'GET',
            methodFqn: 'com.wixpress.members.customfields.suggestions.CustomFieldSuggestions.ListCustomFieldSuggestions',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressMembersCustomfieldsSuggestionsCustomFieldSuggestionsUrl({ protoPath: '/v1/custom-field-suggestions', data: payload, host }),
            params: (0, rest_modules_1.toURLSearchParams)(payload, true),
        };
        return metadata;
    }
    return __listCustomFieldSuggestions;
}
exports.listCustomFieldSuggestions = listCustomFieldSuggestions;
/**
 * Retrieves a list of suggestions for both custom fields and predefined fields by the Wix Members Area, given the provided paging, filtering, and sorting.
 *
 * Query Custom Field Suggestions runs with these defaults, which you can override:
 * - `createdDate` is sorted in `ASC` order
 * - `paging.limit` is `100`
 * - `paging.offset` is `0`
 *
 * For field support for filters and sorting, see [Supported Filters and Sorting](https://dev.wix.com/docs/rest/crm/members-contacts/members/custom-fields/custom-field-suggestions/filter-and-sort).
 * To learn about working with _Query_ endpoints, see [API Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language), [Sorting and Paging](https://dev.wix.com/api/rest/getting-started/pagination), and [Field Projection](https://dev.wix.com/api/rest/getting-started/field-projection).
 */
function queryCustomFieldSuggestions(payload) {
    function __queryCustomFieldSuggestions({ host }) {
        const metadata = {
            entityFqdn: 'wix.members.v1.custom_field_suggestion',
            method: 'POST',
            methodFqn: 'com.wixpress.members.customfields.suggestions.CustomFieldSuggestions.QueryCustomFieldSuggestions',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressMembersCustomfieldsSuggestionsCustomFieldSuggestionsUrl({ protoPath: '/v1/custom-field-suggestions/query', data: payload, host }),
            data: payload,
        };
        return metadata;
    }
    return __queryCustomFieldSuggestions;
}
exports.queryCustomFieldSuggestions = queryCustomFieldSuggestions;
//# sourceMappingURL=members-v1-custom-field-suggestion-custom-field-suggestion.http.js.map