import { HttpClient } from '@wix/sdk-types';
import { ListCustomFieldSuggestionsOptions, ListCustomFieldSuggestionsResponse, ListCustomFieldSuggestionsResponseNonNullableFields, QueryCustomFieldSuggestionsOptions, QueryCustomFieldSuggestionsResponse, QueryCustomFieldSuggestionsResponseNonNullableFields } from './members-v1-custom-field-suggestion-custom-field-suggestion.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function listCustomFieldSuggestions(httpClient: HttpClient): ListCustomFieldSuggestionsSignature;
interface ListCustomFieldSuggestionsSignature {
    /**
     * Retrieves a list of suggestions for both custom fields and predefined fields by the Wix Members Area.
     */
    (options?: ListCustomFieldSuggestionsOptions | undefined): Promise<ListCustomFieldSuggestionsResponse & ListCustomFieldSuggestionsResponseNonNullableFields>;
}
export declare function queryCustomFieldSuggestions(httpClient: HttpClient): QueryCustomFieldSuggestionsSignature;
interface QueryCustomFieldSuggestionsSignature {
    /**
     * Retrieves a list of suggestions for both custom fields and predefined fields by the Wix Members Area, given the provided paging, filtering, and sorting.
     *
     * Query Custom Field Suggestions runs with these defaults, which you can override:
     * - `createdDate` is sorted in `ASC` order
     * - `paging.limit` is `100`
     * - `paging.offset` is `0`
     *
     * For field support for filters and sorting, see [Supported Filters and Sorting](https://dev.wix.com/docs/rest/crm/members-contacts/members/custom-fields/custom-field-suggestions/filter-and-sort).
     * To learn about working with _Query_ endpoints, see [API Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language), [Sorting and Paging](https://dev.wix.com/api/rest/getting-started/pagination), and [Field Projection](https://dev.wix.com/api/rest/getting-started/field-projection).
     */
    (options?: QueryCustomFieldSuggestionsOptions | undefined): Promise<QueryCustomFieldSuggestionsResponse & QueryCustomFieldSuggestionsResponseNonNullableFields>;
}
export { CustomFieldSuggestion, ListCustomFieldSuggestionsOptions, ListCustomFieldSuggestionsRequest, ListCustomFieldSuggestionsResponse, ListCustomFieldSuggestionsResponseNonNullableFields, Origin, Paging, PagingMetadata, Privacy, Query, QueryCustomFieldSuggestionsOptions, QueryCustomFieldSuggestionsRequest, QueryCustomFieldSuggestionsResponse, QueryCustomFieldSuggestionsResponseNonNullableFields, SocialTypeType, SortOrder, Sorting, Type, } from './members-v1-custom-field-suggestion-custom-field-suggestion.universal.js';
