import { RequestOptionsFactory } from '@wix/sdk-types';
/** Retrieves a list of suggestions for both custom fields and predefined fields by the Wix Members Area. */
export declare function listCustomFieldSuggestions(payload: object): RequestOptionsFactory<any>;
/**
 * Retrieves a list of suggestions for both custom fields and predefined fields by the Wix Members Area, given the provided paging, filtering, and sorting.
 *
 * Query Custom Field Suggestions runs with these defaults, which you can override:
 * - `createdDate` is sorted in `ASC` order
 * - `paging.limit` is `100`
 * - `paging.offset` is `0`
 *
 * For field support for filters and sorting, see [Supported Filters and Sorting](https://dev.wix.com/docs/rest/crm/members-contacts/members/custom-fields/custom-field-suggestions/filter-and-sort).
 * To learn about working with _Query_ endpoints, see [API Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language), [Sorting and Paging](https://dev.wix.com/api/rest/getting-started/pagination), and [Field Projection](https://dev.wix.com/api/rest/getting-started/field-projection).
 */
export declare function queryCustomFieldSuggestions(payload: object): RequestOptionsFactory<any>;
